Security update for ldb

SUSE Security Update: Security update for ldb
Announcement ID: SUSE-SU-2019:0639-1
Rating: moderate
References: #1125410
Cross-References: CVE-2019-3824
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise Module for Basesystem 15

An update that fixes one vulnerability is now available.

Description:

This update for ldb fixes the following issue:
Security issue fixed:

  • CVE-2019-3824: Fixed an out-of-bound read vulnerability in ldb_wildcard_compare (bsc#1125410).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-639=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-639=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • ldb-debugsource-1.2.3-3.8.1
    • ldb-tools-1.2.3-3.8.1
    • ldb-tools-debuginfo-1.2.3-3.8.1
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • ldb-debugsource-1.2.3-3.8.1
    • libldb-devel-1.2.3-3.8.1
    • libldb1-1.2.3-3.8.1
    • libldb1-debuginfo-1.2.3-3.8.1
    • python-ldb-1.2.3-3.8.1
    • python-ldb-debuginfo-1.2.3-3.8.1
    • python-ldb-devel-1.2.3-3.8.1
    • python3-ldb-1.2.3-3.8.1
    • python3-ldb-debuginfo-1.2.3-3.8.1
    • python3-ldb-devel-1.2.3-3.8.1

References: